using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System.Collections.Specialized;
using Syncfusion.Windows.Forms;
using System.Collections;
using System.Threading;


namespace Grid_Control
{
    public partial class Form1 : Form
    {        
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridControl1.RowCount = 10;
            this.gridControl1.ColCount = 10;
            for (int i = 1; i <= this.gridControl1.RowCount; i++)
                for (int j = 1; j <= this.gridControl1.ColCount; j++)
                    this.gridControl1[i, j].ApplyText("Row"+i+" Col"+ j);  
            this.gridControl1.PrepareViewStyleInfo += new GridPrepareViewStyleInfoEventHandler(gridControl1_PrepareViewStyleInfo);
            
            this.gridControl1.Model.Options.MergeCellsMode = GridMergeCellsMode.OnDemandCalculation | GridMergeCellsMode.MergeRowsInColumn|GridMergeCellsMode.MergeColumnsInRow;
           
            // Show the Merge cell behavior in Rows
            this.gridControl1.ColStyles[1].MergeCell = GridMergeCellDirection.RowsInColumn;
            this.gridControl1[2, 1].Text = "Row";
            this.gridControl1[3, 1].Text = "Row";
            this.gridControl1[4, 1].Text = "Row";

            // Show the Merge cell behavior in Rows
            this.gridControl1.RowStyles[6].MergeCell = GridMergeCellDirection.ColumnsInRow;            
            this.gridControl1[6, 4].Text = "Row";
            this.gridControl1[6, 5].Text = "Row";
            this.gridControl1[6, 6].Text = "Row";            
        }

        void gridControl1_PrepareViewStyleInfo(object sender, GridPrepareViewStyleInfoEventArgs e)
        {
            if (e.RowIndex > 0 && e.ColIndex > 0)
                e.Style.CellTipText = e.Style.Text;            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.gridControl1.CoveredRanges.Add(this.gridControl1.Selections.Ranges.ActiveRange);
        }
    }
}
